package PaqueteJuego;
import java.util.*;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.4CD18824-B6B2-C202-E743-09246477347A]
// </editor-fold> 
/**
 *
 * @author root
 */
public class Territorio {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.0258AE38-00ED-96AE-3873-C74B2D37A5B0]
    // </editor-fold> 
    private Jugador Propietario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.19F9FE39-F9B1-7760-8C2F-D307F0862B37]
    // </editor-fold> 
    private int Continente;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C5BBFE16-58B1-2D0F-0EFD-E15E1E1BED4A]
    // </editor-fold> 
    private int Ejercitos;

    private String Nombre;

    private ArrayList<java.lang.Integer> TerritoriosVecinos;

    private int Coordenadas[];
        
    private boolean Capital;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.35569C7A-CACC-5221-A654-F2C9184DA8A8]
    // </editor-fold> 
    /**
     * Contructor de Territorio
     * @param N Nombre
     * @param C Continente
     * @param E Ejercitos
     * @param TV Territorios Vecinos
     * @param XY Coordenadas
     */
    public Territorio(String N,int C,int E,ArrayList<java.lang.Integer> TV,int[] XY) {
        setNombre(N);
        setContinente(C);
        setEjercitos(E);
        setTerritoriosVecinos(TV);
        setCoordenadas(XY);
        setCapital(false);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BDF1EE7E-8915-56E8-1F70-AB9AD0FEF39A]
    // </editor-fold> 
    /**
     *
     * @return Devuelve el continente.
     */
    public int getContinente() {
        return this.Continente;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.41B0594B-1880-D40F-2453-002BD3E65DE5]
    // </editor-fold> 
    /**
     * Asigna el continente.
     * @param val
     */
    public void setContinente(int val) {
        this.Continente=val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.6A792E60-9E8D-186E-FD2E-577E2AB7FB8F]
    // </editor-fold> 
    /**
     *
     * @return Devuelve los ejercitos.
     */
    public int getEjercitos() {
        return this.Ejercitos;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.90DA04B5-BEE9-B7DC-C477-51407359EBC7]
    // </editor-fold> 
    /**
     * Asigna los ejercitos.
     * @param val
     */
    public void setEjercitos(int val) {
        this.Ejercitos=val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B145BCB6-358E-B52B-8817-97CA39FF334D]
    // </editor-fold> 
    /**
     *
     * @return Devuelve el propietario.
     */
    public Jugador getPropietario() {
        return this.Propietario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4C47C16F-F425-7C7F-7DD7-81574D8213DC]
    // </editor-fold> 
    /**
     * Asigna propietario.
     * @param val
     */
    public void setPropietario(Jugador val) {
        this.Propietario=val;
    }

    /**
     *
     * @return Devuelve la lista de territorios vecinos.
     */
    public ArrayList<java.lang.Integer> getTerritoriosVecinos() {
        return this.TerritoriosVecinos;
    }

    /**
     * Asigna los territorios vecinos.
     * @param val
     */
    public void setTerritoriosVecinos(ArrayList<java.lang.Integer> val) {
        this.TerritoriosVecinos=val;
    }

    /**
     *
     * @return Devuelve las coordenadas.
     */
    public int[] getCoordenadas() {
        return this.Coordenadas;
    }

    /**
     * Asigna coordenadas.
     * @param val
     */
    public void setCoordenadas(int[] val) {
        this.Coordenadas=val;
    }

    /**
     *
     * @return Devuelve el nombre.
     */
    public String getNombre() {
        return this.Nombre;
    }

    /**
     * Asigna el nombre.
     * @param val
     */
    public void setNombre(String val) {
        this.Nombre=val;
    }

    /**
     *
     * @return Devuelve true si esta carta es capital.
     */
    public boolean getCapital(){
        return this.Capital;
    }

    /**
     *
     * @param val Asigna esta carta como capital.
     */
    public void setCapital(boolean val){
        this.Capital=val;
    }

}

